The Display & Video 360 API is rolling out Demand Gen resource support to all partners starting June 10, 2026. See our blog post for more details on how to get ready!
Method: advertisers.targetingTypes.assignedTargetingOptions.create
Stay organized with collections
Save and categorize content based on your preferences.
Page Summary
This document describes how to assign a targeting option to an advertiser using the Display & Video 360 API v3, which is now sunset and should be replaced with v4.
The request uses an HTTP POST method to the specified URL, including the advertiser ID and targeting type in the path parameters.
The request body requires an instance of AssignedTargetingOption, and a successful response will return a newly created instance of AssignedTargetingOption.
The operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-10-08 UTC."],[],["This API action assigns a targeting option to an advertiser via a POST request to a specific URL: `https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions`. It requires the `advertiserId` and `targetingType` as path parameters. The request body should include an `AssignedTargetingOption` instance, and the successful response will return a newly created `AssignedTargetingOption` instance. The OAuth scope `https://www.googleapis.com/auth/display-video` is necessary for authorization.\n"]]